
QGIS Application - Bug report #13653

make check failure: No module named QtSql

2015-10-22 04:17 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee:

Category: Tests Suite

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21688

Description

As of commit ca704913631b17846c6beae4ff4c080d9c8f2869 in master

I get "66% tests passed, 56 tests failed out of 165" on "make check".

The failing tests all seem related to not finding QtSql.

If that's only a test-dependency, could those tests be just skipped and a WARNING raised at configuration time ?

Also, what do I need to install to meet that dependency ?

History

#1 - 2016-02-22 03:39 AM - Sandro Santilli

I think this was fixed by having python-qt4-sql, but I still believe the tests should not run if the dependency is not found at source configuration time.

#2 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
